/**
 * Created by tobias on 17.11.2015.
 */

var app = angular.module('MusicApp',[]);

app.controller('MusicController',['$scope','$http',function($scope,$http){

    // be default, the table is ordered by the id property, ascending.
    $scope.orderProperty = 'code';

    /*
    the user can filter the displayed songs by entering a specific search term.
    Angular matches any property in the model, so the filter will
    work on all keys of a song (id, name, artist, album, runtime).
    This is great way to show two-way binding that does not need to
    attach event listeners (great advantage over jquery)
     */
    $scope.searchTerm = '';


    /*
     * There are a couple of ways to fetch the data for the table.
     * This method just requests a static json file.
     * The JSON can also be dynamically generated by a PHP script (see next method) // TODO
     */
    /**
        $http.get('data/songs.json').success(function(data){
            $scope.songs = data;
        });
     */
    $http.get('data/songsFromDB.php').success(function(data){
        $scope.songs = data;
    });
}]);